﻿using Infragistics.Win;
using Infragistics.Win.UltraWinToolbars;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WindowsFormsApplication55
{
    public class MyCreationFilter : IUIElementCreationFilter
    {
        public void AfterCreateChildElements(UIElement parent)
        {
            var ribbonTabItemUIElement = parent as RibbonTabItemUIElement;
            if (null != ribbonTabItemUIElement)
            {
                var ribbonTab = ribbonTabItemUIElement.GetContext(typeof(RibbonTab)) as RibbonTab;
                if (ribbonTab.Key == "Setup")
                    ribbonTabItemUIElement.Text = "Setup";
            }
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;
        }
    }
}
